CXX = c++
CXX_FLAGS = -I ../../src -g -O2
DESTFILE = xmlpb
OBJS = xmlpb.o

default : all
all : $(DESTFILE)
$(DESTFILE) : $(OBJS)
	g++ $(OBJS) -o $(DESTFILE)

xmlpb.o : xmlpb.cpp


.PHONY : clean
clean : 
	rm *~ $(OBJS) $(DESTFILE) phonebook.xml -f


.SUFFIXES : .cpp .o
.cpp.o :
	$(CXX) $(CXX_FLAGS) -c $< -o $@